<?php

namespace Scraper\ScraperDPD\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateRdvShipmentDataRequest StructType
 * @subpackage Structs
 */
class UpdateRdvShipmentDataRequest extends UpdateRdvShipmentData
{
    /**
     * The Address
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Scraper\ScraperDPD\StructType\RdvAddress
     */
    public $Address;
    /**
     * The DeliveryInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Scraper\ScraperDPD\StructType\RdvDeliveryInfo
     */
    public $DeliveryInfo;
    /**
     * The EsnInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Scraper\ScraperDPD\StructType\RdvEsnInfo
     */
    public $EsnInfo;
    /**
     * The AdditionalData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Scraper\ScraperDPD\StructType\RdvData
     */
    public $AdditionalData;
    /**
     * Constructor method for UpdateRdvShipmentDataRequest
     * @uses UpdateRdvShipmentDataRequest::setAddress()
     * @uses UpdateRdvShipmentDataRequest::setDeliveryInfo()
     * @uses UpdateRdvShipmentDataRequest::setEsnInfo()
     * @uses UpdateRdvShipmentDataRequest::setAdditionalData()
     * @param \Scraper\ScraperDPD\StructType\RdvAddress $address
     * @param \Scraper\ScraperDPD\StructType\RdvDeliveryInfo $deliveryInfo
     * @param \Scraper\ScraperDPD\StructType\RdvEsnInfo $esnInfo
     * @param \Scraper\ScraperDPD\StructType\RdvData $additionalData
     */
    public function __construct(\Scraper\ScraperDPD\StructType\RdvAddress $address = null, \Scraper\ScraperDPD\StructType\RdvDeliveryInfo $deliveryInfo = null, \Scraper\ScraperDPD\StructType\RdvEsnInfo $esnInfo = null, \Scraper\ScraperDPD\StructType\RdvData $additionalData = null)
    {
        $this
            ->setAddress($address)
            ->setDeliveryInfo($deliveryInfo)
            ->setEsnInfo($esnInfo)
            ->setAdditionalData($additionalData);
    }
    /**
     * Get Address value
     * @return \Scraper\ScraperDPD\StructType\RdvAddress|null
     */
    public function getAddress()
    {
        return $this->Address;
    }
    /**
     * Set Address value
     * @param \Scraper\ScraperDPD\StructType\RdvAddress $address
     * @return \Scraper\ScraperDPD\StructType\UpdateRdvShipmentDataRequest
     */
    public function setAddress(\Scraper\ScraperDPD\StructType\RdvAddress $address = null)
    {
        $this->Address = $address;
        return $this;
    }
    /**
     * Get DeliveryInfo value
     * @return \Scraper\ScraperDPD\StructType\RdvDeliveryInfo|null
     */
    public function getDeliveryInfo()
    {
        return $this->DeliveryInfo;
    }
    /**
     * Set DeliveryInfo value
     * @param \Scraper\ScraperDPD\StructType\RdvDeliveryInfo $deliveryInfo
     * @return \Scraper\ScraperDPD\StructType\UpdateRdvShipmentDataRequest
     */
    public function setDeliveryInfo(\Scraper\ScraperDPD\StructType\RdvDeliveryInfo $deliveryInfo = null)
    {
        $this->DeliveryInfo = $deliveryInfo;
        return $this;
    }
    /**
     * Get EsnInfo value
     * @return \Scraper\ScraperDPD\StructType\RdvEsnInfo|null
     */
    public function getEsnInfo()
    {
        return $this->EsnInfo;
    }
    /**
     * Set EsnInfo value
     * @param \Scraper\ScraperDPD\StructType\RdvEsnInfo $esnInfo
     * @return \Scraper\ScraperDPD\StructType\UpdateRdvShipmentDataRequest
     */
    public function setEsnInfo(\Scraper\ScraperDPD\StructType\RdvEsnInfo $esnInfo = null)
    {
        $this->EsnInfo = $esnInfo;
        return $this;
    }
    /**
     * Get AdditionalData value
     * @return \Scraper\ScraperDPD\StructType\RdvData|null
     */
    public function getAdditionalData()
    {
        return $this->AdditionalData;
    }
    /**
     * Set AdditionalData value
     * @param \Scraper\ScraperDPD\StructType\RdvData $additionalData
     * @return \Scraper\ScraperDPD\StructType\UpdateRdvShipmentDataRequest
     */
    public function setAdditionalData(\Scraper\ScraperDPD\StructType\RdvData $additionalData = null)
    {
        $this->AdditionalData = $additionalData;
        return $this;
    }
}
